import store from '@/store';
// 利用mixin(混入)来封装全局函数
// 这里封装在methods中的所有函数，都自动会添加到
// 每个vue文件中methods中
// 封装判断按钮权限的函数
export default {
  methods: {
    // 判断是否具有按钮权限的函数
    // 判断需要有2个条件
    // 1、需要有判断的标识符（到底要判断哪个按钮显示隐藏），这个标识符就是绑定函数时传递过来的值
    // 2、按钮权限的数据集合，就是保存到vuex中的operation数组
    isBtnPerm(key) {
      const button = store.state.user.button;
      if (button && button.length) {
        return button.some(item => item === key);
      }
      return false;
    },
  },
};
